/**
 *
 */
package org.gcube.datatransfer.resolver.services;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response.Status;

import org.gcube.datatransfer.resolver.services.exceptions.InternalServerException;
import org.glassfish.jersey.server.mvc.Viewable;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Oct 22, 2018
 */
@Path("/")
public class UriResolverIndex {

	private static Logger logger = LoggerFactory.getLogger(UriResolverIndex.class);

	@GET
	@Produces(MediaType.TEXT_HTML)
	@Path("index")
	public Viewable index(@Context HttpServletRequest req, @PathParam("index") String info){

		try{
			logger.info("UriResolverIndex called");
			return new Viewable("/index");
		}catch(Exception e){
			logger.error("Error on getting index.jsp", e);
			throw new InternalServerException(req, Status.NOT_FOUND, "Index.jsp not found", UriResolverIndex.class, null);
		}

	}
}
